Package net.shibboleth.idp.plugin.authn.webauthn.storage.impl

# Interface CacheServiceImpl.IUserHandleMappingCacheStage

All Known Implementing Classes:
  `CacheServiceImpl.Builder`

Enclosing class:
  CacheServiceImpl

public static interface CacheServiceImpl.IUserHandleMappingCacheStage
A builder stage.

## Method Summary

Modifier and Type
Method
Description
`CacheServiceImpl.IBuildStage`
`withCache(Cache<String,String> cache)`
The userHandle to username mapping cache.

## Method Details

### withCache

CacheServiceImpl.IBuildStage withCache(@Nonnull Cache<String,String> cache)
The userHandle to username mapping cache.

Parameters:
  `cache` - the cache implementation
Returns:
  the next stage